@charset "UTF-8";

/*====================================================================
 .accordion_spmenu.css　ハンバーガーメニューのアコーディオン
====================================================================*/


/*---------------------------------------------------
　 共通
----------------------------------------------------*/

.spmenu_area {
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column; /*justify-content: flex-end;*/
  align-items: flex-end; /*columnの場合の右寄せ*/
}

.spmenu_area .spmenu_wrap {
  width: 40%; /*PC等で見た場合のメニューの幅*/
}

@media screen and (max-width: 768px) {
  .spmenu_area .spmenu_wrap {
    width: 100%;
  }
}

.spmenu_category {
  width: 100%;
  background-color: #fff;
  color: #3a3f98;
  text-align: left;
  padding: 12px 6px;
  border-left: 15px solid #a1a3cb;
  font-size: 1.4em;
  font-weight: bold;
  display: flex;
}


/*---------------------------------------------------
　 ホームへのリンク
----------------------------------------------------*/

.home_link a {
  display: block;
  background-color: #3a3f98;
  padding: 10px;
  color: #fff;
  font-weight: bold;
  -webkit-transition: all .3s;
  -moz-transition: all .3s;
  -ms-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}

.home_link a:hover {
  background-color: #6c70b0;
}


/*---------------------------------------------------
　 学修要項
----------------------------------------------------*/

.spmenu_guide {
  padding: 0;
  display: flex;
  flex-direction: column;
}

.spmenu_guide li a {
  display: block;
  width: 100%;
  font-size: 1.1em;
  font-weight: bold;
  text-align: left;
  padding: 20px 20px 20px 25px;
  border-bottom: 1px solid #bbb;
  position: relative;
  z-index: +1;
  cursor: pointer;
  -webkit-transition: all .3s;
  -moz-transition: all .3s;
  -ms-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}

@media screen and (max-width: 768px) {
  .spmenu_guide li a {
    width: 100%;
    font-size: 1.1em;
    padding: 15px 15px 15px 30px;
  }
}

.spmenu_guide li a:hover {
  opacity: .85;
}

.spmenuguide_list {
  background-color: #3a3f98;
}


/*--- 文字・PDFアイコン・リンクアイコン横並び ---*/

.spmenu_guide li a.linkitem {
  display: flex;
}


/*---------------------------------------------------
　 各学部学科 履修要項と免許・資格課程等
----------------------------------------------------*/


/*---- 学部学科名 ----*/

.spmenu_wrap .spmenu_header {
  background-color: #3a3f98;
  border-bottom: 1px solid #bbb;
  font-size: 1.1em;
  font-weight: bold;
  padding: 15px 15px 15px 30px;
  text-align: left;
  position: relative;
  z-index: +1;
  cursor: pointer;
  transition-duration: 0.2s;
  display:flex; /*----HA・通信教育部用---*/
  align-items: center;
}
.spmenu_wrap .spmenu_header .small {
  font-size: 0.7em;
}

/*---- 詳細（21年度入学生など）----*/

.spmenu_wrap .spmenu_list {
  border-bottom: 1px solid #fff;
  background: url(../img/arrow.svg) no-repeat 33px 15px; /*--リストマークの指定 left top　---*/
  background-color: #4a5fba;
  background-size: 9px; /*--リストマーク画像の高さ　---*/
  color: #fff;
  font-size: 0.9em;
  padding: 10px 10px 10px 53px; /*--文字の位置---*/
  text-align: left;
  position: relative;
  z-index: +1;
  cursor: pointer;
  -webkit-transition: all .3s;
  -moz-transition: all .3s;
  -ms-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}

.spmenu_wrap .spmenu_list a {
  display: block; /*--ボタン全面リンク---*/
}

.spmenu_wrap .spmenu_header:hover, .spmenu_wrap .spmenu_list:hover {
  opacity: .85;
}

.spmenu_wrap .spmenu_header .i_box {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%;
  right: 5%;
  width: 30px;
  height: 30px;
  margin-top: -15px;
  border: 1px solid #fff;
  box-sizing: border-box;
  /* 四角の角度 */
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  transform-origin: center center;
  transition-duration: 0.2s;
}

.spmenu_wrap .spmenu_header .i_box .one_i {
  display: block;
  width: 18px;
  height: 18px;
  /* ＋の角度 */
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  transform-origin: center center;
  transition-duration: 0.2s;
  position: relative;
}

.spmenu_wrap .spmenu_header.open .i_box {
  /* 四角の回転数 */
  -webkit-transform: rotate(180deg);
  transform: rotate(180deg);
}

.spmenu_wrap .spmenu_header .i_box .one_i:before, .spmenu_wrap .spmenu_header .i_box .one_i:after {
  display: flex;
  content: '';
  background-color: #fff;
  border-radius: 10px;
  width: 18px;
  height: 4px;
  position: absolute;
  top: 7px;
  left: 0;
  -webkit-transform: rotate(0deg);
  transform: rotate(0deg);
  transform-origin: center center;
}

.spmenu_wrap .spmenu_header .i_box .one_i:before {
  width: 4px;
  height: 18px;
  top: 0;
  left: 7px;
}

.spmenu_wrap .spmenu_header.open .i_box .one_i:before {
  content: none;
}

.spmenu_wrap .spmenu_header.open .i_box .one_i:after {
  /* －の角度 */
  -webkit-transform: rotate(-0deg);
  transform: rotate(-0deg);
}

.spmenu_wrap .spmenu_inner {
  display: none;
  padding: 0;
  box-sizing: border-box;
}

.spmenu_wrap .spmenu_inner .box_one {
  height: 300px;
}

.spmenu_wrap .spmenu_inner p.txt_a_ac {
  margin: 0;
}


/*---------------------------------------------------
　 リンク（公式サイト、WEB　PATHOS）
----------------------------------------------------*/

.spmenu_linkswrap {
  background-color: #3a3f98;
  border: 1px solid #3a3f98; /*--ul.linksのmarginが効かない解決用--*/
  border-bottom: 10px solid #f1c400;
}

.spmenu_linkswrap .links {
  margin-top: 50px;
  margin-bottom: 50px;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

@media screen and (max-width: 768px) {
.spmenu_linkswrap .links {
    margin-top: 30px;
    margin-bottom: 8px;
  }
}

.spmenu_linkswrap .links .link_list {
  width: 80%;
}

.spmenu_linkswrap .links li:last-child {
  margin-bottom: 0px;
}

.spmenu_linkswrap .links .link_list a {
  display: block;
  font-size: 1em;
  text-align: left;
  background-color: #797dc7;
  padding: 15px;
  margin-bottom: 30px;
  position: relative;
  z-index: +1;
  cursor: pointer;
  width: 100%;
  border-radius: 4px;
  -webkit-transition: all .3s;
  -moz-transition: all .3s;
  -ms-transition: all .3s;
  -o-transition: all .3s;
  transition: all .3s;
}

.spmenu_linkswrap .links .link_list a:hover {
  opacity: .85;
}


/*--- 文字・リンクアイコン横並び ---*/

.spmenu_linkswrap .links .link_list a.linkitem {
  display: flex;
}